<?php
    namespace Encuesta;
    require_once 'Pregunta.php';
    require_once 'Respuesta.php';
    include_once RUTA_APP . 'application/controllers/Clases/Campana.php'; 
    include_once RUTA_APP . 'application/controllers/Clases/Usuario.php'; 
    class RespuestaCliente{
        private Pregunta $pregunta;
        private \Campana $campana;
        private Respuesta $respuesta;                
        private \DateTime $timestamp;
        private int $leadId;
        private int $numeroDeIntento;
        private string $telefono;
        private ?\Usuario $agente;
        public function __construct(Pregunta $pregunta, \Campana $campana, Respuesta $respuesta, \DateTime $timestamp, int $leadId, int $numeroDeIntento, string $telefono, ?\Usuario $agente){
            $this->pregunta = $pregunta;    
            $this->campana = $campana;
            $this->respuesta = $respuesta;         
            $this->timestamp = $timestamp;
            $this->leadId = $leadId;
            $this->numeroDeIntento = $numeroDeIntento;
            $this->telefono = $telefono;
            $this->agente = $agente;
        }
        public function getPregunta():Pregunta{
            return $this->pregunta;
        }
        public function setPregunta(Pregunta $pregunta):void{
            $this->pregunta = $pregunta;
        }
        public function getRespuesta():Respuesta{
            return $this->respuesta;
        }
        public function setRespuesta(Respuesta $respuesta):void{
            $this->respuesta = $respuesta;
        }
        public function getCampana():\Campana{
            return $this->campana;
        }
        public function setCampana(\Campana $campana):void{
            $this->campana = $campana;
        }
        public function getTimestamp():\DateTime{
            return $this->timestamp;
        }
        public function setTimestamp(\DateTime $timestamp):void{
            $this->timestamp = $timestamp;
        }
        public function getLeadId():int{
            return $this->leadId;
        }
        public function setLeadId(int $leadId):void{
            $this->leadId = $leadId;
        }
        public function getTelefono():string{
            return $this->telefono;
        }
        public function setTelefono(string $telefono):void{
            $this->telefono = $telefono;
        }
        public function getAgente():?\Usuario{
            return $this->agente;
        }
        public function setAgente(\Usuario $agente):void{
            $this->agente = $agente;
        }

    }
?>